My Oracle Support Banner

opatch メッセージ「OPatch Cannot Continue Because it Would not be Able to Load OUI Platform Dependent Library from the Directory "$ORACLE_HOME/oui/lib/linux"」について (Doc ID 2449865.1)

Last updated on SEPTEMBER 24, 2018

適用範囲:

Oracle Database - Enterprise Edition - バージョン 11.2.0.4 以降
Oracle Database Cloud Schema Service - バージョン N/A 以降
Oracle Database Exadata Express Cloud Service - バージョン N/A 以降
Oracle Database Exadata Cloud Machine - バージョン N/A 以降
Oracle Cloud Infrastructure - Database Service - バージョン N/A 以降
Linux x86-64
本文書利用上のご注意
  本文書は英語の文書 <Document 2102647.1> (最終メジャー更新日: 2018年09月03日) の日本語翻訳版です。
  英語の文書の最終メジャー更新日が新しい場合は本文書に適宜反映いたします。

*本文書で記載されている BUG 情報は My Oracle Support では公開されていない場合があります。

現象

OPatch の実行が、以下のエラーで失敗します:

$opatch lsinventory

OPatch cannot continue because it would not be able to load OUI platform dependent library from the directory "/u01/oracle/product/11.2.0.4/db_home/oui/lib/linux". The directory does not exist in the Oracle home.
This could be due to the following reasons.
(1) Incompatible usage of java with OUI (32/64 bit).
(2) Wrong 32-bit Oracle Home installation in 64-bit environment (or) vice-versa.
Please contact Oracle support for more details.

OPatch failed with error code 1

  

変更点

 

原因

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.